Skip to main content
GET
/
relay
/
v1
/
policies
List active policies
curl --request GET \
  --url https://api.swarmd.ai/relay/v1/policies \
  --header 'Authorization: Bearer <token>'
[
  {
    "policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "version": "<string>",
    "name": "<string>",
    "description": "<string>",
    "policyType": "<string>",
    "config": {
      "enabledLegs": {
        "requestFromSource": true,
        "requestToSink": true,
        "responseFromSink": true,
        "responseToSource": true
      },
      "entity": {
        "type": "BANK_ACCOUNT_NUMBER",
        "scoreThreshold": 0.5,
        "action": "LOG"
      },
      "type": "COMMUNICATION_AUDIT"
    },
    "validFrom": "2023-11-07T05:31:56Z",
    "validTo": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Response

200 - application/json

OK

policyId
string<uuid>
version
string
name
string
description
string
policyType
string
config
object
validFrom
string<date-time>
validTo
string<date-time>
createdAt
string<date-time>